# Uses of Class
org.springframework.core.io.buffer.JettyDataBuffer

Packages that use JettyDataBuffer
Package
Description
org.springframework.core.io.buffer
Generic abstraction for working with byte buffer implementations.

## Uses of JettyDataBuffer in org.springframework.core.io.buffer

Methods in org.springframework.core.io.buffer that return JettyDataBuffer
Modifier and Type
Method
Description
`JettyDataBuffer`
JettyDataBufferFactory.`allocateBuffer()`
Deprecated.
`JettyDataBuffer`
JettyDataBufferFactory.`allocateBuffer(int initialCapacity)`
`JettyDataBuffer`
JettyDataBufferFactory.`join(List<? extends DataBuffer> dataBuffers)`
`JettyDataBuffer`
JettyDataBufferFactory.`wrap(byte[] bytes)`
`JettyDataBuffer`
JettyDataBufferFactory.`wrap(ByteBuffer byteBuffer)`
`JettyDataBuffer`
JettyDataBufferFactory.`wrap(org.eclipse.jetty.io.Content.Chunk chunk)`